## kross 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Kross)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KROSS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kross_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Script Xml Widgets UiTools)


find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
   PURPOSE "Required for tests"
   TYPE OPTIONAL
   )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(docs)
add_subdirectory(src)
if (BUILD_TESTING)
add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kross")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KrossConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kross_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KrossTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KrossTargets.cmake NAMESPACE KF5::)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

## These unit tests must move to kross-interpreters.git, they require the python kross interpreter!
if (FALSE)
set(krossqtstest_SRCS main.cpp)
add_executable(krossqtstest qts.cpp)
ecm_mark_as_test(krossqtstest)
target_link_libraries(krossqtstest
   KF5::KrossCore
   Qt5::Script
   KF5::I18n
   Qt5::Widgets
)

add_test(NAME krossqtstest-test-es COMMAND krossqtstest ${CMAKE_CURRENT_SOURCE_DIR}/qtstest.es)
endif()

add_executable(metafunctiontest metafunctiontest.cpp)
ecm_mark_as_test(metafunctiontest)
target_link_libraries(metafunctiontest
   Qt5::Test
   KF5::KrossCore
   )
add_test(NAME kross-metafunctiontest COMMAND metafunctiontest)

## These unit tests must move to kross-interpreters.git, they require the python kross interpreter!
if (FALSE)
set(krosstest_SRCS
    testobject.cpp
    main.cpp
)


add_executable(krosstest ${krosstest_SRCS})
target_link_libraries(krosstest KF5::KrossCore KF5::CoreAddons KF5::ConfigCore Qt5::Script Qt5::Widgets Qt5::Xml)

add_test(NAME kross-unittest-es COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/unittest.es)

add_test(NAME kross-guiform-py COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguiform.py)
add_test(NAME kross-guiqt-py COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguiqt.py)
add_test(NAME kross-guitk-py COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguitk.py)
add_test(NAME kross-test-py COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testkross.py)
add_test(NAME kross-unittest-py COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/unittest.py)

#add_test(NAME kross-guiform-rb COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguiform.rb)
#add_test(NAME kross-guiqt-rb COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguiqt.rb)
#add_test(NAME kross-unittest-rb COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/unittest.rb)

# UI files have no interpreter
# add_test(NAME kross-guiform-ui COMMAND krosstest ${CMAKE_CURRENT_SOURCE_DIR}/testguiform.ui)
endif()

=== src/qts/CMakeLists.txt ===
########### next target ###############
set(krossqtsplugin_LIB_SRCS plugin.cpp)
add_library(krossqtsplugin MODULE ${krossqtsplugin_LIB_SRCS})
target_link_libraries(krossqtsplugin
   Qt5::UiTools
   KF5::I18n
   KF5::KrossCore
   Qt5::Script
   Qt5::Widgets
   Qt5::Gui
)

install(TARGETS krossqtsplugin DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/script)

########### next target ###############

set(krossqts_PART_SRCS interpreter.cpp script.cpp)
add_library(krossqts MODULE ${krossqts_PART_SRCS})
target_link_libraries(krossqts
   KF5::I18n
   KF5::KrossCore
   Qt5::Script
   Qt5::Widgets
   Qt5::Gui
)

install(TARGETS krossqts DESTINATION ${KDE_INSTALL_QTPLUGINDIR})

## kross 5.3.0

=== debian/changelog ===
kross (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:35:48 +0100

kross (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:08:09 +0200

kross (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 10:54:15 +0200

kross (5.0.0-0ubuntu1) utopic; urgency=medium

    * Initial release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 23 Jul 2014 17:19:47 +0200

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kdoctools-dev (>= 5.3.0),
               kio-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5parts-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtscript5-dev,
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kross.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kross.git

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         kross (= ${binary:Version}),
         libkf5i18n-dev,
         libkf5iconthemes-dev,
         libkf5parts-dev,
         libkf5widgetsaddons-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
 
Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
 libkf5krossui5 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together. 
 
Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together. 

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

Package: kross-dbg
Priority: extra
Section: debug
Architecture: any
Depends: kross (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains debug symbols for kross.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kross-dbg
	
override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kross 5.9.0

=== debian/changelog ===
kross (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:22:08 +0200

kross (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:48:25 +0100

kross (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:04:17 +0100

kross (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:23:33 +0100

kross (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:48:53 +0100

kross (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:39:55 +0100

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kdoctools-dev (>= 5.9.0),
               kio-dev (>= 5.9.0),
               libkf5archive-dev (>= 5.9.0),
               libkf5attica-dev (>= 5.9.0),
               libkf5auth-dev (>= 5.9.0),
               libkf5bookmarks-dev (>= 5.9.0),
               libkf5codecs-dev (>= 5.9.0),
               libkf5completion-dev (>= 5.9.0),
               libkf5config-dev (>= 5.9.0),
               libkf5configwidgets-dev (>= 5.9.0),
               libkf5coreaddons-dev (>= 5.9.0),
               libkf5dbusaddons-dev (>= 5.9.0),
               libkf5globalaccel-dev (>= 5.9.0),
               libkf5guiaddons-dev (>= 5.9.0),
               libkf5i18n-dev (>= 5.9.0),
               libkf5iconthemes-dev (>= 5.9.0),
               libkf5itemviews-dev (>= 5.9.0),
               libkf5jobwidgets-dev (>= 5.9.0),
               libkf5kjs-dev (>= 5.9.0),
               libkf5notifications-dev (>= 5.9.0),
               libkf5parts-dev (>= 5.9.0),
               libkf5service-dev (>= 5.9.0),
               libkf5solid-dev (>= 5.9.0),
               libkf5sonnet-dev (>= 5.9.0),
               libkf5textwidgets-dev (>= 5.9.0),
               libkf5widgetsaddons-dev (>= 5.9.0),
               libkf5windowsystem-dev (>= 5.9.0),
               libkf5xmlgui-dev (>= 5.9.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtscript5-dev,
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kross.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kross.git

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         kross (= ${binary:Version}),
         libkf5i18n-dev,
         libkf5iconthemes-dev,
         libkf5parts-dev,
         libkf5widgetsaddons-dev,
         qtbase5-dev,
         qtscript5-dev,
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

Package: kross-dbg
Priority: extra
Section: debug
Architecture: any
Depends: kross (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains debug symbols for kross.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/portingAids/kross-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/portingAids/kross-(.*)\.tar\.xz

## kross 5.15.0

=== debian/changelog ===
kross (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:55:13 +0100

kross (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:25:55 +0100

kross (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:29:41 +0200

kross (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:08:29 +0200

kross (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 14:33:06 +0200

kross (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:11:08 +0200

kross (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:24:50 +0200

kross (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * New upstream release (5.8.0).
  * Remove upstream applied patch:
    metafunction_header_char_to_qbytearraydata
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 18:13:19 +0100

kross (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.
  * New patch: metafunction_header_char_to_qbytearraydata

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Feb 2015 11:12:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,44 +3,27 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kdoctools-dev (>= 5.9.0),
-               kio-dev (>= 5.9.0),
-               libkf5archive-dev (>= 5.9.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5notifications-dev (>= 5.9.0),
-               libkf5parts-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               kdoctools-dev (>= 5.15.0~),
+               kio-dev (>= 5.15.0~),
+               libkf5completion-dev (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5parts-dev (>= 5.15.0~),
+               libkf5service-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qtscript5-dev,
-               qttools5-dev,
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kross
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kross.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kross.git
@@ -48,14 +31,13 @@
 Package: kross-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev,
+Depends: kio-dev (>= 5.15.0~),
          kross (= ${binary:Version}),
-         libkf5i18n-dev,
-         libkf5iconthemes-dev,
-         libkf5parts-dev,
-         libkf5widgetsaddons-dev,
-         qtbase5-dev,
-         qtscript5-dev,
+         libkf5i18n-dev (>= 5.15.0~),
+         libkf5iconthemes-dev (>= 5.15.0~),
+         libkf5parts-dev (>= 5.15.0~),
+         libkf5widgetsaddons-dev (>= 5.15.0~),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kross
  Modular scripting framework that eases embedding

## kross 5.18.0

=== debian/changelog ===
kross (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:24:23 +0100

kross (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:15 +0100

kross (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:44 +0200

kross (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:46 +0100

kross (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Remove upstream patch: upstream_disable_again_the_unittests

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:27 +0200

kross (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * New upstream patch: upstream_disable_again_the_unittests

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 22:02:08 +0200

kross (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kdoctools-dev (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5completion-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5parts-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5completion-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qtscript5-dev (>= 5.4),
@@ -23,7 +23,6 @@
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kross
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kross.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kross.git
@@ -31,12 +30,12 @@
 Package: kross-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.15.0~),
+Depends: kio-dev (>= 5.16.0~),
          kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.15.0~),
-         libkf5iconthemes-dev (>= 5.15.0~),
-         libkf5parts-dev (>= 5.15.0~),
-         libkf5widgetsaddons-dev (>= 5.15.0~),
+         libkf5i18n-dev (>= 5.16.0~),
+         libkf5iconthemes-dev (>= 5.16.0~),
+         libkf5parts-dev (>= 5.16.0~),
+         libkf5widgetsaddons-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kross

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kross-dbg
-	
+
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	# Disable dh_auto_test at build time
+	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/portingAids/kross-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kross-([\d.]+)\.tar\.xz

## kross 5.26.0

=== debian/changelog ===
kross (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:49:02 +0100

kross (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

  [ Rik Mills ]
  * Install localised manpages

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:45:31 +0000

kross (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:16:42 +0200

kross (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:35:26 -0700

kross (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:44 +0100

kross (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kdoctools-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5completion-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5parts-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kdoctools-dev (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
+               libkf5completion-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5parts-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
+               libkf5xmlgui-dev (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qtscript5-dev (>= 5.4),
@@ -24,18 +24,18 @@
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kross
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kross.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kross.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
 
 Package: kross-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.16.0~),
+Depends: kio-dev (>= 5.26.0~),
          kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.16.0~),
-         libkf5iconthemes-dev (>= 5.16.0~),
-         libkf5parts-dev (>= 5.16.0~),
-         libkf5widgetsaddons-dev (>= 5.16.0~),
+         libkf5i18n-dev (>= 5.26.0~),
+         libkf5iconthemes-dev (>= 5.26.0~),
+         libkf5parts-dev (>= 5.26.0~),
+         libkf5widgetsaddons-dev (>= 5.26.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kross
@@ -78,16 +78,3 @@
  JavaScript transparently into native applications
  to bridge the static and dynamic worlds together.
 Multi-Arch: same
-
-Package: kross-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: kross (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kross
- Modular scripting framework that eases embedding
- of scripting interpreters like Python, Ruby and
- JavaScript transparently into native applications
- to bridge the static and dynamic worlds together.
- .
- Contains debug symbols for kross.

## kross 5.28.0

=== debian/changelog ===
kross (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:55 +0100

kross (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:10:29 +0200

kross (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:47 +0200

kross (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files.
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Install localized manpages.
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Aug 2016 16:04:44 +0200

kross (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 23:51:32 +0200

kross (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,38 +5,40 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               kdoctools-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
+               kdoctools-dev (>= 5.25.0~),
                kio-dev (>= 5.26.0~),
-               libkf5completion-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5iconthemes-dev (>= 5.26.0~),
-               libkf5parts-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5widgetsaddons-dev (>= 5.26.0~),
-               libkf5xmlgui-dev (>= 5.26.0~),
+               libkf5completion-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5doctools-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5iconthemes-dev (>= 5.28.0~),
+               libkf5kio-dev (>= 5.28.0~),
+               libkf5parts-dev (>= 5.28.0~),
+               libkf5service-dev (>= 5.10.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
+               libkf5xmlgui-dev (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
+               qtscript5-dev (>= 5.5.0~),
+               qttools5-dev (>= 5.5.0~),
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kross
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kross.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kross.git
 
 Package: kross-dev
 Section: libdevel
 Architecture: any
 Depends: kio-dev (>= 5.26.0~),
          kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.26.0~),
-         libkf5iconthemes-dev (>= 5.26.0~),
-         libkf5parts-dev (>= 5.26.0~),
-         libkf5widgetsaddons-dev (>= 5.26.0~),
-         qtbase5-dev (>= 5.4),
+         libkf5i18n-dev (>= 5.28.0~),
+         libkf5iconthemes-dev (>= 5.28.0~),
+         libkf5parts-dev (>= 5.28.0~),
+         libkf5widgetsaddons-dev (>= 5.28.0~),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: development files for kross
  Modular scripting framework that eases embedding
@@ -45,6 +47,7 @@
  to bridge the static and dynamic worlds together.
  .
  Contains development files for kross.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: kross
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kross-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kross 5.31.0

=== debian/changelog ===
kross (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:13 +0000

kross (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:52 +0000

kross (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:46 +0000

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross

Package: kross-dev
Architecture: any
Section: libdevel
Depends: kio-dev (>= 5.31.0~),
         kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.31.0~),
         libkf5iconthemes-dev (>= 5.31.0~),
         libkf5parts-dev (>= 5.31.0~),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

## kross 5.38.0

=== debian/changelog ===
kross (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:49 +0100

kross (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:07 +0100

kross (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:07 +0100

kross (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:00 +0100

kross (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:56 +0100

kross (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5completion-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5completion-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5doctools-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5parts-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
+               libkf5xmlgui-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
@@ -30,12 +30,12 @@
 Package: kross-dev
 Architecture: any
 Section: libdevel
-Depends: kio-dev (>= 5.31.0~),
+Depends: kio-dev (>= 5.38.0~),
          kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.31.0~),
-         libkf5iconthemes-dev (>= 5.31.0~),
-         libkf5parts-dev (>= 5.31.0~),
-         libkf5widgetsaddons-dev (>= 5.31.0~),
+         libkf5i18n-dev (>= 5.38.0~),
+         libkf5iconthemes-dev (>= 5.38.0~),
+         libkf5parts-dev (>= 5.38.0~),
+         libkf5widgetsaddons-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for kross
